local deathTileSound = ffi.cast("char*", 0x522738)

function main(self)
	if GetClaw():InMinMax(self) then
		SetDeathType(DeathType.Goo)
		self.Flags.AlwaysActive = true
		PrivateCopyCast("CUSTOM_WATER", 0x522738, true)
	elseif self.Flags.AlwaysActive then
		SetDeathType(DeathType.Spikes)
		self.Flags.AlwaysActive = false
		ffi.copy(deathTileSound, "LEVEL_DEATHTILE")
	end
end